Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IxEthAccCodelet.h Go to the documentation of this file.
    00001
    00049 #ifndef IXETHACCCODELET_H
    00050 #define IXETHACCCODELET_H
    00051
    00211 #include "IxTypes.h"
    00212 #include "IxEthAcc.h"
    00213 #include "IxEthAccCodelet_p.h"
    00214
    00215 /*
    00216  * #defines for function return types, etc.
    00217  */
    00218
    00226 #define IX_ETHACC_CODELET_NPEB_MAC {{0x2, 0x0, 0xa, 0xb, 0xc, 0xd}}
    00227
    00235 #define IX_ETHACC_CODELET_NPEC_MAC {{0x2, 0x0, 0xe, 0xf, 0xa, 0xb}}
    00236
    00244 #define IX_ETHACC_CODELET_RX_MBUF_POOL_SIZE   128
    00245
    00253 #define IX_ETHACC_CODELET_TX_MBUF_POOL_SIZE   128
    00254
    00262 #define IX_ETHACC_CODELET_MAX_PORT IX_ETH_ACC_NUMBER_OF_PORTS
    00263
    00271 #define IX_ETHACC_CODELET_MBUF_POOL_SIZE \
    00272   ((IX_ETHACC_CODELET_RX_MBUF_POOL_SIZE + IX_ETHACC_CODELET_TX_MBUF_POOL_SIZE) \
    00273   * IX_ETHACC_CODELET_MAX_PORT)
    00274
    00282 #define IX_ETHACC_CODELET_PCK_SIZE IX_ETHACC_RX_MBUF_MIN_SIZE
    00283
    00291 #define IX_ETHACC_CODELET_PCK_LEN 1536
    00292
    00300 #define IX_ETHACC_CODELET_MBUF_DATA_POOL_SIZE \
    00301   (IX_ETHACC_CODELET_MBUF_POOL_SIZE * IX_ETHACC_CODELET_PCK_SIZE)
    00302
    00310 #define IX_ETHACC_CODELET_TXGEN_PCK_LEN 60
    00311
    00319 #define IX_ETHACC_CODELET_TXGEN_PCKS 128
    00320
    00321 /*
    00322  *  Compilation trap to ensure
    00323  *  IX_ETHACC_CODELET_TXGEN_PCKS <= IX_ETHACC_CODELET_TX_MBUF_POOL_SIZE
    00324  */
    00325 #if IX_ETHACC_CODELET_TXGEN_PCKS > IX_ETHACC_CODELET_TX_MBUF_POOL_SIZE
    00326     #error Number of TX Gen packets is greater than Tx MBuf pool
    00327 #endif
    00328
    00339 #undef IX_ETHACC_CODELET_TXGENRXSINK_VERIFY
    00340
    00349 #define IX_ETHACC_CODELET_RX_FCS_STRIP
    00350
    00359 #undef IX_ETHACC_CODELET_TX_FCS_APPEND
    00360
    00378 #ifdef IX_ETHACC_CODELET_RX_FCS_STRIP
    00379 #define IX_ETHACC_CODELET_FRAME_SIZE (14+9000) /* eth header + 9K MTU */
    00380 #else
    00381 #define IX_ETHACC_CODELET_FRAME_SIZE (14+9000+4)/* eth header + 9K MTU + FCS */
    00382 #endif
    00383
    00384 /*
    00385  * Variable declarations global to this file. Externs are followed by
    00386  * statics.
    00387  */
    00388
    00389 /*
    00390  * Function definitions
    00391  */
    00392
    00407 PUBLIC IX_STATUS
    00408 ixEthAccCodeletMain(IxEthAccCodeletOperation operationType);
    00409
    00410 #endif /* IXETHACCCODELET_H */
    00411
Automatically generated from sources. © Intel Corp. 2003